package com.pan_american.android.data.network

import com.pan_american.android.base.BaseRequest
import com.pan_american.android.base.BaseResponse
import com.pan_american.android.data.model.address_book.*
import com.pan_american.android.data.model.address_book.network.CompanyListResponse
import com.pan_american.android.data.model.address_book.network.DepartmentListRequest
import com.pan_american.android.data.model.address_book.network.DepartmentListResponse
import com.pan_american.android.data.model.address_book.network.MemberListRequest
import com.pan_american.android.data.model.address_book.network.MemberListResponse
import com.pan_american.android.data.model.common.*
import com.pan_american.android.data.model.common.network.DeleteRequest
import com.pan_american.android.data.model.common.network.GroupClientListRequest
import com.pan_american.android.data.model.common.network.GroupClientListResponse
import com.pan_american.android.data.model.common.network.GroupCurrencyRequest
import com.pan_american.android.data.model.common.network.GroupCurrencyResponse
import com.pan_american.android.data.model.common.network.GroupSimpleInfoRequest
import com.pan_american.android.data.model.common.network.GroupSimpleInfoResponse
import com.pan_american.android.data.model.common.network.QuerySetDataRequest
import com.pan_american.android.data.model.common.network.ResourceRequest
import com.pan_american.android.data.model.common.network.SelectorResponse
import com.pan_american.android.data.model.currency.network.CurrencyExchangeRequest
import com.pan_american.android.data.model.currency.network.CurrencyExchangeResponse
import com.pan_american.android.data.model.currency.network.CurrencyResponse
import com.pan_american.android.data.model.daily_payment.network.AddDailyPaymentRequest
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentDetailRequest
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentDetailResponse
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentListRequest
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentListResponse
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentSelectorItemResponse
import com.pan_american.android.data.model.daily_payment.network.DailyPaymentSiftResponse
import com.pan_american.android.data.model.daily_payment.network.UpdateDailyPaymentRequest
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketDetailRequest
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketDetailResponse
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketListRequest
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketListResponse
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketSelectorResourceRequest
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.AirplaneTicketSelectorResourceResponse
import com.pan_american.android.data.model.group_airplane_ticket.airplane_payment_insert.network.UpdateAirplaneTicketRequest
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentDetailRequest
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentDetailResponse
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentListRequest
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentListResponse
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentResourceRequest
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.InsurancePaymentResourceResponse
import com.pan_american.android.data.model.group_common_modle.insurance_payment_insert.network.UpdateInsurancePaymentRequest
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.entity.UpdateHotelPredetermine
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.GetHotelPredetermineDetailRequest
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.GetHotelPredetermineDetailResponse
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.HotelPredetermineListRequest
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.HotelPredetermineListResponse
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.HotelPredetermineResourceRequest
import com.pan_american.android.data.model.group_hotel.hotel_payment_insert.network.HotelPredetermineResourceResponse
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataDetailRequest
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataDetailResponse
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataListRequest
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataListResponse
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataResourceRequest
import com.pan_american.android.data.model.group_invite_official.invite_data.network.InviteDataResourceResponse
import com.pan_american.android.data.model.group_invite_official.invite_data.network.UpdateInviteDetailRequest
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.InviteOfficialBaseDataResponse
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.InviteOfficialDetailRequest
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.InviteOfficialDetailResponse
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.InviteOfficialListRequest
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.InviteOfficialListResponse
import com.pan_american.android.data.model.group_invite_official.invite_official_payment_insert.network.UpdateInviteOfficialRequest
import com.pan_american.android.data.model.group_management.group_info.network.GetSellCodeResponse
import com.pan_american.android.data.model.group_management.group_info.network.GroupCustomerListRequest
import com.pan_american.android.data.model.group_management.group_info.network.GroupCustomerListResponse
import com.pan_american.android.data.model.group_management.group_info.network.GroupInfoBaseDataResponse
import com.pan_american.android.data.model.group_management.group_info.network.GroupInfoDetailRequest
import com.pan_american.android.data.model.group_management.group_info.network.GroupInfoDetailResponse
import com.pan_american.android.data.model.group_management.group_info.network.GroupInfoListRequest
import com.pan_american.android.data.model.group_management.group_info.network.GroupInfoListResponse
import com.pan_american.android.data.model.group_management.group_info.network.GroupOperationRequest
import com.pan_american.android.data.model.group_management.group_info.network.GroupStatusChangeRequest
import com.pan_american.android.data.model.group_management.group_info.network.GroupStatusChangeResponse
import com.pan_american.android.data.model.group_management.group_info.network.NameSpellGenerateRequest
import com.pan_american.android.data.model.group_management.group_info.network.NameSpellGenerateResponse
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyDetailRequest
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyDetailResponse
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyListRequest
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyListResponse
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyPaymentResourceRequest
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.GroundConveyPaymentResponse
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.UpdateGroundConveyDetailRequest
import com.pan_american.android.data.model.group_op.ground_convey_payment_insert.network.UpdateGroundConveyRequest
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.UpdateVisaPaymentRequest
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.VisaPaymentDetailRequest
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.VisaPaymentDetailResponse
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.VisaPaymentListRequest
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.VisaPaymentListResponse
import com.pan_american.android.data.model.group_visa.visa_payment_insert.network.VisaPaymentSelectorResourceResponse
import com.pan_american.android.data.model.login.network.LoginRequest
import com.pan_american.android.data.model.login.network.LoginResponse
import com.pan_american.android.data.model.message.network.MessageChangeStateRequest
import com.pan_american.android.data.model.message.network.MessageListRequest
import com.pan_american.android.data.model.message.network.MessageListResponse
import com.pan_american.android.data.model.message.network.MessageUnReadCountRequest
import com.pan_american.android.data.model.message.network.MessageUnReadCountResponse
import com.pan_american.android.data.model.message.network.MessageUnReadTotalResponse
import com.pan_american.android.data.model.resource_management.airplane_three_code.entity.AirplaneThreeCode
import com.pan_american.android.data.model.resource_management.airplane_three_code.network.AirplaneThreeCodeRequest
import com.pan_american.android.data.model.resource_management.airplane_three_code.network.AirplaneThreeCodeResponse
import com.pan_american.android.data.model.resource_management.car_resource.entity.CarResource
import com.pan_american.android.data.model.resource_management.car_resource.network.CarResourceResponse
import com.pan_american.android.data.model.resource_management.guide_resource.entity.GuideResource
import com.pan_american.android.data.model.resource_management.guide_resource.network.GuideResourceResponse
import com.pan_american.android.data.model.resource_management.hotel_resource.entity.HotelResource
import com.pan_american.android.data.model.resource_management.hotel_resource.network.HotelResourceRequest
import com.pan_american.android.data.model.resource_management.hotel_resource.network.HotelResourceResponse
import com.pan_american.android.data.model.resource_management.market_customer.entity.MarketCustomer
import com.pan_american.android.data.model.resource_management.market_customer.network.BatchAssignmentRequest
import com.pan_american.android.data.model.resource_management.market_customer.network.BusinessCardInfoRequest
import com.pan_american.android.data.model.resource_management.market_customer.network.BusinessCardInfoResponse
import com.pan_american.android.data.model.resource_management.market_customer.network.GroupInfoResponse
import com.pan_american.android.data.model.resource_management.market_customer.network.MarketCustomerDetailRequest
import com.pan_american.android.data.model.resource_management.market_customer.network.MarketCustomerDetailResponse
import com.pan_american.android.data.model.resource_management.market_customer.network.MarketCustomerRequest
import com.pan_american.android.data.model.resource_management.market_customer.network.MarketCustomerResponse
import com.pan_american.android.data.model.resource_management.market_customer.network.MarketCustomerSiftListResponse
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

interface APIService {

    /**
     * 登录
     */
    @POST("/api/login")
    fun login(@Body loginRequest: LoginRequest): Call<LoginResponse>

    /**
     * 通讯录，公司列表
     */
    @POST("/api/System/getCompanyList")
    fun getCompanyList(@Body companyListRequest: BaseRequest): Call<CompanyListResponse>

    /**
     * 通讯录，部门列表
     */
    @POST("/api/System/QueryDepartmentList")
    fun getDepartmentList(@Body departmentListRequest: DepartmentListRequest): Call<DepartmentListResponse>

    /**
     * 通讯录，员工列表
     */
    @POST("/api/System/QueryUserList")
    fun getMembersList(@Body memberListRequest: MemberListRequest): Call<MemberListResponse>

    /**
     * 车辆供应商资源，车公司列表单位地区
     */
    @POST("/api/Resource/QueryCarSelect")
    fun getCarSelect(): Call<SelectorResponse>

    /**
     * 车辆供应商资源，车公司信息查询
     */
    @POST("/api/Resource/QueryCarData")
    fun getCarData(@Body resourceRequest: ResourceRequest): Call<CarResourceResponse>

    /**
     * 车辆供应商资源，车公司信息添加
     */
    @POST("/api/Resource/AddCarData")
    fun addCarData(@Body carResource: CarResource): Call<BaseResponse>

    /**
     * 车辆供应商资源，车公司信息修改
     */
    @POST("/api/Resource/UpCarData")
    fun updateCarData(@Body carResource: CarResource): Call<BaseResponse>

    /**
     * 车辆供应商资源，车公司信息删除
     */
    @POST("/api/Resource/DelCarData")
    fun deleteCarData(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 导游地接供应商资源，导游地接列表单位地区
     */
    @POST("/api/Resource/QueryLocalGuideSelect")
    fun getGuideSelect(): Call<SelectorResponse>

    /**
     * 导游地接供应商资源，导游地接信息查询
     */
    @POST("/api/Resource/QueryLocalGuide")
    fun getGuideData(@Body resourceRequest: ResourceRequest): Call<GuideResourceResponse>

    /**
     * 导游地接供应商资源，导游地接信息操作
     * status: 1.新增     2.修改
     */
    @POST("/api/Resource/OperationLocalGuide")
    fun guideDataOperation(@Body guideResource: GuideResource): Call<BaseResponse>

    /**
     * 导游地接供应商资源，导游地接信息删除
     */
    @POST("/api/Resource/DelLocalGuide")
    fun deleteGuideData(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 酒店资料数据，酒店资料列表 酒店地址
     */
    @POST("/api/Resource/QueryHotelDataSelect")
    fun getHotelSelect(): Call<SelectorResponse>

    /**
     * 酒店资料数据，酒店资料信息查询
     */
    @POST("/api/Resource/QueryHotelData")
    fun getHotelData(@Body hotelResourceRequest: HotelResourceRequest): Call<HotelResourceResponse>

    /**
     * 酒店资料数据，酒店资料信息操作
     * status: 1.新增     2.修改
     */
    @POST("/api/Resource/OperationHotelData")
    fun hotelDataOperation(@Body hotelResource: HotelResource): Call<BaseResponse>

    /**
     * 酒店资料数据，酒店资料信息删除
     */
    @POST("/api/Resource/DelHotelData")
    fun deleteHotelData(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 机场三字码资料数据，机场三字码列表 城市
     */
    @POST("/api/Resource/QueryThreeCodeSelect")
    fun getAirplaneSelect(): Call<SelectorResponse>

    /**
     * 机场三字码资料数据，机场三字码查询
     */
    @POST("/api/Resource/QueryThreeCode")
    fun getAirplaneThreeCodeData(@Body airplaneThreeCodeRequest: AirplaneThreeCodeRequest): Call<AirplaneThreeCodeResponse>

    /**
     * 机场三字码资料数据，机场三字码信息操作
     * status: 1.新增     2.修改
     */
    @POST("api/Resource/OperationThreeCode")
    fun airplaneThreeCodeOperation(@Body airplaneThreeCode: AirplaneThreeCode): Call<BaseResponse>

    /**
     * 机场三字码资料数据，机场三字码信息删除
     */
    @POST("/api/Resource/DelThreeCode")
    fun deleteAirplaneCodeData(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 汇率换算，获取汇率币种
     */
    @POST("/api/SmallFun/GetCurrencys")
    fun getCurrency(): Call<CurrencyResponse>

    /**
     * 汇率换算，执行汇率换算
     */
    @POST("/api/SmallFun/GetCurrencyExchange")
    fun currencyExchange(@Body currencyExchangeRequest: CurrencyExchangeRequest): Call<CurrencyExchangeResponse>

    /**
     * 市场客户资料，查询客户资料数据
     */
    @POST("/api/MarketCustomerResources/QueryNewClientData")
    fun queryNewClientData(@Body marketCustomerRequest: MarketCustomerRequest): Call<MarketCustomerResponse>

    /**
     * setData 数据查询
     */
    @POST("/api/System/QuerySetData")
    fun querySetData(@Body querySetDataRequest: QuerySetDataRequest): Call<SelectorResponse>

    /**
     * 市场客户资料，根据ID获取客户详细资料
     */
    @POST("/api/MarketCustomerResources/PostNewClientDataDetails")
    fun getMarketCustomerDetailById(@Body marketCustomerDetailRequest: MarketCustomerDetailRequest): Call<MarketCustomerDetailResponse>

    /**
     * 市场客户资料，客户资料操作
     * status: 1.新增     2.修改
     */
    @POST("/api/MarketCustomerResources/NewClientOp")
    fun newClientOperation(@Body marketCustomer: MarketCustomer): Call<BaseResponse>

    /**
     * 市场客户资料，基础数据源
     */
    @POST("/api/MarketCustomerResources/MarketCustomerInit")
    fun marketCustomerQuerySelectData(@Body baseRequest: BaseRequest): Call<MarketCustomerSiftListResponse>

    /**
     * 市场客户资料，批量客户指派
     */
    @POST("/api/MarketCustomerResources/PostBatchAssignment")
    fun customerBatchAssignment(@Body batchAssignmentRequest: BatchAssignmentRequest): Call<BaseResponse>

    /**
     * 预计出团量 已出团量
     */
    @POST("/api/MarketCustomerResources/QueryNumberGroups")
    fun queryNumberGroups(): Call<GroupInfoResponse>

    /**
     * 市场客户资料，名片识别
     */
    @POST("/api/TencentOCR/GetBusinessCard")
    fun getBusinessCardInfo(@Body picBase64: BusinessCardInfoRequest): Call<BusinessCardInfoResponse>

    /**
     * 日付申请，日付申请筛选列表
     */
    @POST("/api/Financial/PostPageSearchDailyPaymentPriceTypeData")
    fun getPaymentSiftDataSource(@Body baseRequest: BaseRequest): Call<DailyPaymentSiftResponse>

    /**
     * 日付申请，添加日付申请列表选项
     */
    @POST("/api/Financial/GetSearchDailyPaymentPriceTypeAddData")
    fun getDailyPaymentSelectorItems(@Body baseRequest: BaseRequest): Call<DailyPaymentSelectorItemResponse>

    /**
     * 日付申请，日付申请资料数据
     */
    @POST("/api/Financial/PostPageSearchDailyPaymentList")
    fun getDailyPaymentList(@Body dailyPaymentListRequest: DailyPaymentListRequest): Call<DailyPaymentListResponse>

    /**
     * 日付申请，添加日付申请
     */
    @POST("/api/Financial/PostAddDailyPayment")
    fun addDailyPayment(@Body addDailyPaymentRequest: AddDailyPaymentRequest): Call<BaseResponse>

    /**
     * 日付申请，获取日付申请详情
     */
    @POST("/api/Financial/PostSearchDailyPaymentInfo")
    fun getDailyPaymentDetail(@Body dailyPaymentDetailRequest: DailyPaymentDetailRequest): Call<DailyPaymentDetailResponse>

    /**
     * 日付申请，更新日付申请详情
     */
    @POST("/api/Financial/PostEditDailyPayment")
    fun updateDailyPaymentDetail(@Body updateDailyPaymentRequest: UpdateDailyPaymentRequest): Call<BaseResponse>

    /**
     * 日付申请，删除日付申请
     */
    @POST("/api/Financial/PostDelDailyPayment")
    fun deleteDailyPayment(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 通用 获取团组简单信息
     */
    @POST("/api/Business/PostGroupListByCTableAndUserId")
    fun getGroupSimpleInfo(@Body groupSimpleInfoRequest: GroupSimpleInfoRequest): Call<GroupSimpleInfoResponse>

    /**
     * 通用 获取团组币种及汇率
     */
    @POST("/api/Business/PostGroupTeamRateByDiIdAndCTableId")
    fun getGroupCurrency(@Body groupCurrencyRequest: GroupCurrencyRequest): Call<GroupCurrencyResponse>

    /**
     * 商邀公务费用，基础数据源
     */
    @POST("/api/Groups/InvitationOfficialActivityInitBasicData")
    fun getInviteOfficialBaseData(): Call<InviteOfficialBaseDataResponse>

    /**
     * 商邀公务费用，根据团ID获取简单费用List
     */
    @POST("/api/Groups/InvitationOfficialActivitiesList")
    fun getInviteOfficialListItem(@Body inviteOfficialListRequest: InviteOfficialListRequest): Call<InviteOfficialListResponse>

    /**
     * 商邀公务费用。添加/修改费用信息
     * status: 1.新增     2.修改
     */
    @POST("/api/Groups/OpInvitationOfficialActivities")
    fun inviteOfficialPaymentOperate(@Body updateInviteOfficialRequest: UpdateInviteOfficialRequest): Call<BaseResponse>

    /**
     * 商邀公务费用，根据ID获取费用详细信息
     */
    @POST("/api/Groups/InvitationOfficialActivitiesById")
    fun getInviteOfficialPaymentDetail(@Body inviteOfficialDetailRequest: InviteOfficialDetailRequest): Call<InviteOfficialDetailResponse>

    /**
     * 商邀公务费用，删除费用
     */
    @POST("/api/Groups/DelInvitationOfficialActivities")
    fun deleteOfficialPayment(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 团组机票，机票费用录入列表
     */
    @POST("/api/Groups/AirTicketResList")
    fun getGroupAirplaneTicketListItem(@Body airplaneTicketListRequest: AirplaneTicketListRequest): Call<AirplaneTicketListResponse>

    /**
     * 团组机票，新增机票费用，下拉框选项（含客人列表）
     */
    @POST("/api/Groups/AirTicketResSelect")
    fun getAirplaneTicketSelectorResource(@Body airplaneTicketSelectorResourceRequest: AirplaneTicketSelectorResourceRequest): Call<AirplaneTicketSelectorResourceResponse>

    /**
     * 团组机票费用录入，添加/修改费用信息
     * status: 1. 新增    2. 修改
     */
    @POST("/api/Groups/OpAirTicketRes")
    fun updateAirplaneTicket(@Body updateAirplaneTicketRequest: UpdateAirplaneTicketRequest): Call<BaseResponse>

    /**
     * 团组机票费用录入，删除机票费用录入
     */
    @POST("/api/Groups/DelAirTicketRes")
    fun deleteAirplaneTicket(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 团组机票费用录入，根据ID查询团组机票详细
     */
    @POST("/api/Groups/AirTicketResById")
    fun getAirplaneTicketDetail(@Body airplaneTicketDetailRequest: AirplaneTicketDetailRequest): Call<AirplaneTicketDetailResponse>

    /**
     * 团组签证，根据团组ID查询签证费用列表
     */
    @POST("/api/Groups/QueryVisaByDiId")
    fun getVisaPaymentListById(@Body visaPaymentListRequest: VisaPaymentListRequest): Call<VisaPaymentListResponse>

    /**
     * 团组签证，下拉框初始化
     */
    @POST("/api/Groups/VisaPriceAddSelect")
    fun getVisaPaymentSelectorResource(): Call<VisaPaymentSelectorResourceResponse>

    /**
     * 团组签证，根据费用ID查询费用详情
     */
    @POST("/api/Groups/QueryVisaById")
    fun getVisaPaymentDetail(@Body visaPaymentDetailRequest: VisaPaymentDetailRequest): Call<VisaPaymentDetailResponse>

    /**
     * 团组签证，添加和修改签证费用
     * status:  1. 新增   2. 修改
     */
    @POST("/api/Groups/OpVisaPrice")
    fun updateVisaPayment(@Body updateVisaPaymentRequest: UpdateVisaPaymentRequest): Call<BaseResponse>

    /**
     * 团组签证，删除签证费用
     */
    @POST("/api/Groups/DelVisaPrice")
    fun deleteVisaPayment(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * OP费用录入，获取团组OP费用列表
     */
    @POST("/api/Groups/QueryCarTouristGuideGroundByDiId")
    fun getGroundConveyPaymentList(@Body groundConveyListRequest: GroundConveyListRequest): Call<GroundConveyListResponse>

    /**
     * OP费用录入，删除OP费用
     */
    @POST("/api/Groups/DelCarTouristGuideGround")
    fun deleteGroundConveyPayment(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * OP费用录入，根据id获取OP费用详情
     */
    @POST("/api/Groups/QueryCarTouristGuideGroundById")
    fun getGroundConveyDetail(@Body groundConveyDetailRequest: GroundConveyDetailRequest): Call<GroundConveyDetailResponse>

    /**
     * OP费用录入，获取城市数据
     */
    @GET("/api/Groups/OpCarCityResult")
    fun getCityResource(): Call<SelectorResponse>

    /**
     * OP费用录入，添加和修改OP费用
     * status:  1.新增    2.修改
     */
    @POST("/api/Groups/OpCarTouristGuideGround")
    fun updateGroundConvey(@Body updateGroundConveyRequest: UpdateGroundConveyRequest): Call<BaseResponse>

    /**
     * OP费用详细，填写费用详细界面初始化数据
     */
    @POST("/api/Groups/CarTouristGuideGroundContentInitialize")
    fun initGroundConveyDetailResource(@Body groundConveyPaymentResourceRequest: GroundConveyPaymentResourceRequest): Call<GroundConveyPaymentResponse>

    /**
     * OP费用详细，费用更新
     */
    @POST("/api/Groups/OpCarTouristGuideGroundContent")
    fun updateGroundConveyDetail(@Body updateGroundConveyDetailRequest: UpdateGroundConveyDetailRequest): Call<BaseResponse>

    /**
     * 团组酒店，根据团组ID查询酒店费用列表
     */
    @POST("/api/Groups/PostHotelReservationsItemsByDiId")
    fun getHotelPredetermineList(@Body hotelPredetermineListRequest: HotelPredetermineListRequest): Call<HotelPredetermineListResponse>

    /**
     * 团组酒店，酒店费用删除
     */
    @POST("/api/Groups/DelHotelPrice")
    fun deleteHotelPredetermine(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 团组酒店，初始化下拉框数据
     */
    @POST("/api/Groups/PostHotelReservationsBasicsDataInit")
    fun getHotelPredetermineResource(@Body hotelPredetermineResourceRequest: HotelPredetermineResourceRequest): Call<HotelPredetermineResourceResponse>

    /**
     * 团组酒店，添加和修改酒店费用
     */
    @POST("/api/Groups/PostHotelReservationsAddOrEdit")
    fun updateHotelPredetermine(@Body updateHotelPredetermine: UpdateHotelPredetermine): Call<BaseResponse>

    /**
     * 团组酒店，获取酒店费用详细信息
     */
    @POST("/api/Groups/PostHotelReservationsDetails")
    fun getHotelPredetermineDetail(@Body getHotelPredetermineDetailRequest: GetHotelPredetermineDetailRequest): Call<GetHotelPredetermineDetailResponse>

    /**
     * 团组公共模块，根据团组ID查询保险费用列表
     */
    @POST("/api/Groups/CustomersByDiId")
    fun getInsurancePaymentList(@Body insurancePaymentListRequest: InsurancePaymentListRequest): Call<InsurancePaymentListResponse>

    /**
     * 团组公共模块，删除保险费用
     */
    @POST("/api/Groups/DelCustomers")
    fun deleteInsurancePayment(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 团组公共模块，保险费用录入页面数据初始化
     */
    @POST("/api/Groups/CustomersInitialize")
    fun getInsurancePaymentResource(@Body insurancePaymentResourceRequest: InsurancePaymentResourceRequest): Call<InsurancePaymentResourceResponse>

    /**
     * 公共接口，根据团ID获取客户列表
     */
    @POST("/api/Groups/QueryClientInfoByDIID")
    fun getClientListByDiId(@Body groupClientListRequest: GroupClientListRequest): Call<GroupClientListResponse>

    /**
     * 团组公共模块，添加和修改保险费用
     * status:  1.新增    2.修改
     */
    @POST("/api/Groups/OpCustomers")
    fun updateInsurancePayment(@Body updateInsurancePaymentRequest: UpdateInsurancePaymentRequest): Call<BaseResponse>

    /**
     * 团组公共模块，根据id查询保险费用详细
     */
    @POST("/api/Groups/CustomersById")
    fun getInsurancePaymentDetail(@Body insurancePaymentDetailRequest: InsurancePaymentDetailRequest): Call<InsurancePaymentDetailResponse>

    /**
     * 接团信息，基础数据源
     */
    @POST("/api/Groups/GroupEditBasicSource")
    fun getGroupInfoBaseData(@Body baseRequest: BaseRequest): Call<GroupInfoBaseDataResponse>

    /**
     * 接团信息，根据类型查询数据
     */
    @POST("/api/Groups/GetGroupListByWhere")
    fun getGroupInfoList(@Body groupInfoListRequest: GroupInfoListRequest): Call<GroupInfoListResponse>

    /**
     * 接团信息，设置确认出团
     */
    @POST("/api/Groups/SetConfirmationGroup")
    fun groupStatusChange(@Body groupStatusChangeRequest: GroupStatusChangeRequest): Call<GroupStatusChangeResponse>

    /**
     * 接团信息，删除团组信息
     */
    @POST("/api/Groups/GroupDel")
    fun deleteGroup(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 接团信息，获取销售报价号
     */
    @POST("/api/Groups/GetGroupSalesQuoteNo")
    fun getSellCode(): Call<GetSellCodeResponse>

    /**
     * 接团信息，扫描并获取客户信息
     */
    @POST("/api/BaiduOCR/ClientOCR")
    fun getGroupCustomerList(@Body picBase64: GroupCustomerListRequest): Call<GroupCustomerListResponse>

    /**
     * 接团客户列表，生成姓名拼音
     */
    @POST("/api/Business/ChineseToEnFn")
    fun generateNameSpell(@Body nameSpellGenerateRequest: NameSpellGenerateRequest): Call<NameSpellGenerateResponse>

    /**
     * 接团信息，接团流程操作
     * status:  1.新增    2.修改
     */
    @POST("/api/Groups/GroupProcessOperation")
    fun groupOperation(@Body groupOperationRequest: GroupOperationRequest): Call<BaseResponse>

    /**
     * 接团信息，根据id获取接团详情
     */
    @POST("/api/Groups/GetGroupInfo")
    fun getGroupInfoDetail(@Body groupInfoDetailRequest: GroupInfoDetailRequest): Call<GroupInfoDetailResponse>

    /**
     * 消息系统，获取不同类别的消息未读条数
     */
    @POST("/api/System/PotsMsgTypeData")
    fun getMessageUnReadCount(@Body messageUnReadCountRequest: MessageUnReadCountRequest): Call<MessageUnReadCountResponse>

    /**
     * 消息系统，根据类型获取消息
     */
    @POST("/api/System/PotsMessagePageList")
    fun getMessageList(@Body messageListRequest: MessageListRequest): Call<MessageListResponse>

    /**
     * 消息系统，设置消息已读
     */
    @POST("/api/System/SetMessageRead")
    fun changeMessageState(@Body messageChangeStateRequest: MessageChangeStateRequest): Call<BaseResponse>

    /**
     * 消息系统，获取未读消息总条数
     */
    @POST("/api/System/PotsMessageUnreadTotalCount")
    fun getMessageUnReadTotal(@Body messageUnReadCountRequest: MessageUnReadCountRequest): Call<MessageUnReadTotalResponse>

    /**
     * 邀请资料，获取搜索基础数据源
     */
    @POST("/api/Resource/QueryIOAInitData")
    fun getInviteDataResource(@Body inviteDataResourceRequest: InviteDataResourceRequest): Call<InviteDataResourceResponse>

    /**
     * 邀请资料，根据条件查询列表
     */
    @POST("/api/Resource/QueryInvitationOfficialActivityData")
    fun getInviteDataList(@Body inviteDataListRequest: InviteDataListRequest): Call<InviteDataListResponse>

    /**
     * 邀请资料，删除邀请资料
     */
    @POST("/api/Resource/DelInvitationOfficialActivity")
    fun deleteInviteData(@Body deleteRequest: DeleteRequest): Call<BaseResponse>

    /**
     * 邀请资料，获取团组名列表
     */
    @POST("/api/Business/GetGroupNameList")
    fun getGroupNameList(@Body baseRequest: BaseRequest): Call<SelectorResponse>

    /**
     * 邀请资料，根据ID获取团组详情
     */
    @POST("/api/Resource/QueryInvitationOfficialActivityById")
    fun getInviteDataDetailById(@Body inviteDataDetailRequest: InviteDataDetailRequest): Call<InviteDataDetailResponse>

    /**
     * 邀请资料，新增/修改邀请资料
     * status:  1.新增    2.修改
     */
    @POST("/api/Resource/OpInvitationOfficialActivity")
    fun updateInviteData(@Body updateInviteDetailRequest: UpdateInviteDetailRequest): Call<BaseResponse>
}